org.apache.lucene.queryParser.standard.builders

## Interface StandardQueryBuilder

- All Superinterfaces:
    QueryBuilder
  All Known Implementing Classes:
    AnyQueryNodeBuilder, BooleanQueryNodeBuilder, BoostQueryNodeBuilder, FieldQueryNodeBuilder, FuzzyQueryNodeBuilder, GroupQueryNodeBuilder, MatchAllDocsQueryNodeBuilder, MatchNoDocsQueryNodeBuilder, ModifierQueryNodeBuilder, MultiPhraseQueryNodeBuilder, PhraseQueryNodeBuilder, PrefixWildcardQueryNodeBuilder, RangeQueryNodeBuilder, SlopQueryNodeBuilder, StandardBooleanQueryNodeBuilder, StandardQueryTreeBuilder, WildcardQueryNodeBuilder

      public interface StandardQueryBuilder
      extends QueryBuilder

  This interface should be implemented by every class that wants to build `Query` objects from `QueryNode` objects.
  See Also:
    `QueryBuilder`, `QueryTreeBuilder`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `build(QueryNode queryNode)` Builds some kind of object from a query tree.

- - ### Method Detail

    - #### build

          Query build(QueryNode queryNode)
               throws QueryNodeException

      Description copied from interface: `QueryBuilder`
      Builds some kind of object from a query tree.
      Specified by:
        `build` in interface `QueryBuilder`
      Parameters:
        `queryNode` - the query tree root node
      Returns:
        some object generated from the query tree
      Throws:
        `QueryNodeException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.